Introduction

The Spider Writer Syntax Editor is used to customize the tag, attribute and other syntax item information that Spider Writer uses. This data appears in the Script Outline sidebar in Spider Writer and is also used with Spider Writer's IntelliPrompt features. Tag and attribute data is also used a number of other places throughout Spider Writer.

WARNING: Since it is very important that this syntax data is not corrupted (especially in the HTML syntax tree), please do not use this application if you are a novice user.

What are some situations in which you use the Syntax Editor?

  • When you want to add an attribute to an HTML tag.
  • When you want to change whether end tags are required for an HTML tag.
  • When you want to modify default attribute values.
  • When you want to add new DHTML or other supported language objects.

What are some general guidelines to follow to prevent breaking functionality in Spider Writer?

  • Never delete HTML tags that are loaded by default. You may change their properties however.
  • Never delete HTML attributes that are loaded by default. You may change their properties however.

To get you immediately on your way into using the software, please take a few minutes to read this help file to give yourself a good idea of what the system can do.

To quickly acquaint yourself with the design of the program, please look at the Syntax Item Descriptions and Adding and Removing Items topics.

Contacting the Spider Writer Support Staff

The creators of Spider Writer have worked hard to provide a very complete editing system to meet the needs of today's web developers. If you have any comments or suggestions about this software, please send them to suggestions@spiderwriter.com. Your input is greatly appreciated.

For support-related issues, write our support staff at support@spiderwriter.com.

For more information about the Spider Writer suite or for the latest updates, visit our web site at http://www.spiderwriter.com. Thank you for your support!

Legal Notices

Spider Writer is a trademark of Actipro Software LLC and is protected by copyright laws.


Menu and Toolbar Commands

The following table describes the menu and toolbar commands and lists their shortcut keys, if any.

Command | Description | Shortcut
Load Default Syntax | Creates a new image map |
Save and Exit | Opens an existing .MAP file for editing | Ctrl+S
Cancel | Saves the current image map |
Add Item | Add a syntax item to the tree | Ctrl+Shift+A
Remove Item | Remove the selected syntax item from the tree | Del
Help Topics | Displays this help file | F1
About Spider Writer Syntax Editor | Displays program information |


Syntax Item Descriptions

There are a number of syntax items that can be inserted into the various syntax trees. Each of them are described below. All item properties may be edited using the propertysheet on the right side of the main window.

HTML and CFML Syntax Tree

Tag Items

Each tag item defines an HTML or CFML tag. Editable properties include:

Property | Description
End tag required | Specifies whether an end tag is required
End tag optional | Specifies whether the end tag is optional
Insert line break after | Indicates that a line break should be inserted after the tag (used in Beautification)
Internet Explorer version support | The Internet Explorer version that supports the tag (HTML only)
Netscape version support | The Netscape version that supports the tag (HTML only)
W3C version support | The W3C version that supports the tag (HTML only)
Description | A description of the tag
Default attributes | Default attributes to include when the tag is inserted
Attribute list | The list of attributes that the tag includes (checked attributes indicate the tag uses the attribute)

Attribute Items

Each attribute item defines an HTML attribute. Editable properties include:

Property | Description
Input style

Indicated the input style of the attribute (used in the Attributes sidebar)
Color - color attribute
File - returns a local file
Flag - returns a flag attribute
Font - returns a font name
Number - returns a numeric value without quotes
RelativeFile - returns a relative file spec
Style - returns a style specification
Text - returns a text value that uses quotes
URL - returns a URL

Description | A description of the attribute
Default values | A list of default values (used in the Attributes sidebar dropdowns)

CSS Syntax Tree

Properties

Each property item defines a CSS property. Editable properties include:

Property | Description
Internet Explorer version support

The Internet Explorer version that supports the property

Netscape version support | The Netscape version that supports the property
W3C version support | The W3C CSS version that supports the property
Description | A description of the property

Other Syntax Trees

Other Items

Each item in the non-HTML syntax tree has the following editable properties:

Property | Description
Read-only | Specifies whether a property is read-only
Write-only | Specifies whether a property is write-only
Ignore parent parameters | Indicates that when the item is inserted, the parent should not be inserted with parameters
Optional parameter | Specifies that the parameter is optional
Parameter order | Allows you to order the parameters of the item


Adding and Removing Items

Adding Items

Adding a new syntax item is easy. Select a parent item (for the new item) in the syntax tree. Then press theAdd Item button. Depending on the type of syntax item you are adding, one of several dialog windows will appear.

New Tag Dialog

Enter the name and long name of the new tag in this dialog. For example, the BODY tag would have a name of 'BODY' and a long name of 'Document Body', without the quotes.

New Attribute Dialog

Enter the name and category of the new attribute in this dialog. For example, the BGCOLOR attribute would have a name of 'BGColor' and a category of 'Appearance', without the quotes.

New Item Dialog

Enter the name and item type of the new syntax item in this dialog. For example, in ASP, the Response object would have a name of 'Response' and an item type of 'Object', without the quotes.

For a better description of item types, see theSyntax Item Descriptionstopic.

Removing Items

To remove a syntax item, select it in the syntax tree and press theRemove Itembutton. If the syntax item has any child items, they will also be deleted. Be very careful when using this command!


Saving and Cancelling

Save and Exit

The Save and Exit command saves the currently loaded syntax tree and exits the application. Any syntax changes will not be visible in Spider Writer until Spider Writer is restarted.

Cancel

The Cancel command does not save the current syntax tree and exits the application.


Load Default Syntax

This command loads the default syntax tree into the Syntax Editor that ships with Spider Writer. It will not overwrite your saved syntax tree until you use the Save and Exit command.

This command is useful if you have previously made changes to the syntax tree and wish to restart with the default syntax tree.